Package generic.hash

# Class FNV1a32MessageDigest

java.lang.Object
generic.hash.AbstractMessageDigest
generic.hash.FNV1a32MessageDigest

All Implemented Interfaces:
  `MessageDigest`

public class FNV1a32MessageDigest extends AbstractMessageDigest

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FNV_32_OFFSET_BASIS`
  `static final int`
  `FNV_32_PRIME`

  ### Fields inherited from class generic.hash.AbstractMessageDigest

  `algorithm, digestLength`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FNV1a32MessageDigest()`
  `FNV1a32MessageDigest(int initialVector)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `digest(byte[] buf, int offset, int len)`
  Completes the hash computation by performing final operations such as padding.
  `long`
  `digestLong()`
  Completes the hash computation by performing final operations such as padding, and returns (up to) the first 8 bytes as a big-endian long value.
  `void`
  `reset()`
  Resets the digest for further use.
  `void`
  `update(byte input)`
  Updates the digest using the specified byte.
  `void`
  `update(byte[] input, int offset, int len)`
  You REALLY want to override this method.
  `void`
  `update(byte[] input, int offset, int len, TaskMonitor monitor)`
  You REALLY want to override this method too.

  ### Methods inherited from class generic.hash.AbstractMessageDigest

  `digest, getAlgorithm, getDigestLength, update, update, update, update, update`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FNV_32_OFFSET_BASIS

    public static final int FNV_32_OFFSET_BASIS
    See Also:
      - Constant Field Values

  - ### FNV_32_PRIME

    public static final int FNV_32_PRIME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FNV1a32MessageDigest

    public FNV1a32MessageDigest(int initialVector)

  - ### FNV1a32MessageDigest

    public FNV1a32MessageDigest()

- ## Method Details

  - ### update

    public void update(byte[] input, int offset, int len)
    Description copied from class: `AbstractMessageDigest`
    You REALLY want to override this method.
    Specified by:
      `update` in interface `MessageDigest`
    Overrides:
      `update` in class `AbstractMessageDigest`
    Parameters:
      `input` - the array of bytes
      `offset` - the offset to start from in the array of bytes
      `len` - the number of bytes to use, starting at offset

  - ### update

    public void update(byte[] input, int offset, int len, TaskMonitor monitor)
    Description copied from class: `AbstractMessageDigest`
    You REALLY want to override this method too.
    Specified by:
      `update` in interface `MessageDigest`
    Overrides:
      `update` in class `AbstractMessageDigest`
    Parameters:
      `input` - the array of bytes
      `offset` - the offset to start from in the array of bytes
      `len` - the number of bytes to use, starting at offset
      `monitor` - the monitor to check during loops

  - ### update

    public void update(byte input)
    Description copied from interface: `MessageDigest`
    Updates the digest using the specified byte.
    Parameters:
      `input` - the byte with which to update the digest

  - ### digest

    public int digest(byte[] buf, int offset, int len)
    Description copied from interface: `MessageDigest`
    Completes the hash computation by performing final operations such as padding. The digest is reset after this call is made.
    Parameters:
      `buf` - output buffer for the computed digest
      `offset` - offset into the output buffer to begin storing the digest
      `len` - number of bytes within buf allocated for the digest
    Returns:
      the number of bytes placed into buf

  - ### digestLong

    public long digestLong()
    Description copied from interface: `MessageDigest`
    Completes the hash computation by performing final operations such as padding, and returns (up to) the first 8 bytes as a big-endian long value. The digest is reset after this call is made.
    Returns:
      the digest value as a long value

  - ### reset

    public void reset()
    Description copied from interface: `MessageDigest`
    Resets the digest for further use.